%define plugin	skinenigmang
%define name	vdr-plugin-%plugin
%define version	0.1.1
%define rel	7

Summary:	VDR plugin: EnigmaNG skin
Name:		%name
Version:	%version
Release:	%mkrel %rel
Group:		Video/Utilities
License:	GPL+
URL:		http://andreas.vdr-developer.org/enigmang/
Source:		http://andreas.vdr-developer.org/enigmang/download/vdr-%plugin-%version.tgz
Source1:	http://andreas.vdr-developer.org/enigmang/download/skinenigmang-logos-xpm-hi-20070702.tgz
BuildRequires:	vdr-devel >= 1.6.0-7
BuildRequires:	imagemagick-devel
BuildRequires:	freetype2-devel
Requires:	vdr-abi = %vdr_abi

%description
"EnigmaNG" is a standalone VDR skin based on the "Enigma" text2skin
addon.

%vdr_chanlogo_notice

%prep
%setup -q -n %plugin-%version -a 1
mv %plugin/HISTORY HISTORY.logos
mv %plugin/README README.logos
%vdr_plugin_prep

%vdr_plugin_params_begin %plugin
# Channel logo directory
var=LOGODIR
param="-l LOGODIR"
default=%{_vdr_chanlogodir}
# Set directory where epgimages are stored
var=IMAGESDIR
param="-i IMAGESDIR"
default=%{_vdr_plugin_cachedir}/epgimages
%vdr_plugin_params_end

cat > README.install.urpmi <<EOF
%vdr_chanlogo_notice
EOF

%build
VDR_PLUGIN_EXTRA_FLAGS="$(pkg-config --cflags ImageMagick++)"
%vdr_plugin_build \
	SKINENIGMA_USE_PLUGIN_EPGSEARCH=1 \
	SKINENIGMA_USE_PLUGIN_AVARDS=1 \
	SKINENIGMA_USE_PLUGIN_MAILBOX=1 \
	HAVE_IMAGEMAGICK=1 \
	HAVE_FREETYPE=1

%install
%vdr_plugin_install

install -d -m755 %{buildroot}%{_vdr_themedir}
install -m644 themes/*.theme %{buildroot}%{_vdr_themedir}

install -d -m755 %{buildroot}%{_vdr_plugin_datadir}
cp -a %{plugin} %{buildroot}%{_vdr_plugin_datadir}

install -d -m755 %{buildroot}%{_vdr_plugin_cfgdir}
ln -s %{_vdr_plugin_datadir}/%{plugin} %{buildroot}%{_vdr_plugin_cfgdir}/%{plugin}

%files -f %plugin.vdr
%doc README* HISTORY*
%{_vdr_plugin_datadir}/%{plugin}
%{_vdr_plugin_cfgdir}/%{plugin}
%{_vdr_themedir}/*.theme


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 0.1.1-7.mga3
+ Revision: 385319
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 14 2012 fwang <fwang> 0.1.1-6.mga3
+ Revision: 330789
- rebuild for new imagemagick

* Fri Oct 12 2012 fwang <fwang> 0.1.1-5.mga3
+ Revision: 305091
- update rpm group

* Wed Mar 07 2012 anssi <anssi> 0.1.1-5.mga2
+ Revision: 221054
- rebuild for VDR 1.7.25

* Sat Feb 25 2012 anssi <anssi> 0.1.1-4.mga2
+ Revision: 214853
- rebuild for VDR 1.7.23

* Mon Sep 26 2011 dmorgan <dmorgan> 0.1.1-3.mga2
+ Revision: 147868
- Rebuild against new libMagick++

  + fwang <fwang>
    - rebuild for new imagemagick

* Sat May 14 2011 anssi <anssi> 0.1.1-1.mga1
+ Revision: 98543
- new version
- update sysconfig
- drop old scriplets
- fix license tag
- imported package vdr-plugin-skinenigmang

